Package com.ocient.jdbc.proto

## Enum PlanProtocol.FilterClause.FilterOp

- java.lang.Object
- - java.lang.Enum<PlanProtocol.FilterClause.FilterOp>
  - - com.ocient.jdbc.proto.PlanProtocol.FilterClause.FilterOp

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.FilterClause.FilterOp>`

Enclosing class:
  PlanProtocol.FilterClause

    public static enum PlanProtocol.FilterClause.FilterOp
    extends Enum<PlanProtocol.FilterClause.FilterOp>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.FilterClause.FilterOp`

### Enum Constant Summary

Enum Constants
`INVALID` `INVALID = 0;`
`OP_EQUAL` `OP_EQUAL = 1;`
`OP_FALSE` `OP_FALSE = 9;`
`OP_GREATER_THAN` `OP_GREATER_THAN = 3;`
`OP_GREATER_THAN_OR_EQUAL` `OP_GREATER_THAN_OR_EQUAL = 4;`
`OP_LESS_THAN` `OP_LESS_THAN = 5;`
`OP_LESS_THAN_OR_EQUAL` `OP_LESS_THAN_OR_EQUAL = 6;`
`OP_LIKE` `OP_LIKE = 7;`
`OP_NOT_EQUAL` `OP_NOT_EQUAL = 2;`
`OP_NOT_LIKE` `OP_NOT_LIKE = 8;`
`OP_TRUE` `OP_TRUE = 10;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `INVALID_VALUE` `INVALID = 0;`
`static int` `OP_EQUAL_VALUE` `OP_EQUAL = 1;`
`static int` `OP_FALSE_VALUE` `OP_FALSE = 9;`
`static int` `OP_GREATER_THAN_OR_EQUAL_VALUE` `OP_GREATER_THAN_OR_EQUAL = 4;`
`static int` `OP_GREATER_THAN_VALUE` `OP_GREATER_THAN = 3;`
`static int` `OP_LESS_THAN_OR_EQUAL_VALUE` `OP_LESS_THAN_OR_EQUAL = 6;`
`static int` `OP_LESS_THAN_VALUE` `OP_LESS_THAN = 5;`
`static int` `OP_LIKE_VALUE` `OP_LIKE = 7;`
`static int` `OP_NOT_EQUAL_VALUE` `OP_NOT_EQUAL = 2;`
`static int` `OP_NOT_LIKE_VALUE` `OP_NOT_LIKE = 8;`
`static int` `OP_TRUE_VALUE` `OP_TRUE = 10;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static PlanProtocol.FilterClause.FilterOp` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.FilterClause.FilterOp>` `internalGetValueMap()`
`static PlanProtocol.FilterClause.FilterOp` `valueOf​(int value)` Deprecated.
`static PlanProtocol.FilterClause.FilterOp` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.FilterClause.FilterOp` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.FilterClause.FilterOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID

    public static final PlanProtocol.FilterClause.FilterOp INVALID

`INVALID = 0;`

#### OP_EQUAL

    public static final PlanProtocol.FilterClause.FilterOp OP_EQUAL

`OP_EQUAL = 1;`

#### OP_NOT_EQUAL

    public static final PlanProtocol.FilterClause.FilterOp OP_NOT_EQUAL

`OP_NOT_EQUAL = 2;`

#### OP_GREATER_THAN

    public static final PlanProtocol.FilterClause.FilterOp OP_GREATER_THAN

`OP_GREATER_THAN = 3;`

#### OP_GREATER_THAN_OR_EQUAL

    public static final PlanProtocol.FilterClause.FilterOp OP_GREATER_THAN_OR_EQUAL

`OP_GREATER_THAN_OR_EQUAL = 4;`

#### OP_LESS_THAN

    public static final PlanProtocol.FilterClause.FilterOp OP_LESS_THAN

`OP_LESS_THAN = 5;`

#### OP_LESS_THAN_OR_EQUAL

    public static final PlanProtocol.FilterClause.FilterOp OP_LESS_THAN_OR_EQUAL

`OP_LESS_THAN_OR_EQUAL = 6;`

#### OP_LIKE

    public static final PlanProtocol.FilterClause.FilterOp OP_LIKE

`OP_LIKE = 7;`

#### OP_NOT_LIKE

    public static final PlanProtocol.FilterClause.FilterOp OP_NOT_LIKE

`OP_NOT_LIKE = 8;`

#### OP_FALSE

    public static final PlanProtocol.FilterClause.FilterOp OP_FALSE

`OP_FALSE = 9;`

#### OP_TRUE

    public static final PlanProtocol.FilterClause.FilterOp OP_TRUE

`OP_TRUE = 10;`

#### UNRECOGNIZED

    public static final PlanProtocol.FilterClause.FilterOp UNRECOGNIZED

### Field Detail

#### INVALID_VALUE

    public static final int INVALID_VALUE

`INVALID = 0;`

See Also:
  Constant Field Values

#### OP_EQUAL_VALUE

    public static final int OP_EQUAL_VALUE

`OP_EQUAL = 1;`

See Also:
  Constant Field Values

#### OP_NOT_EQUAL_VALUE

    public static final int OP_NOT_EQUAL_VALUE

`OP_NOT_EQUAL = 2;`

See Also:
  Constant Field Values

#### OP_GREATER_THAN_VALUE

    public static final int OP_GREATER_THAN_VALUE

`OP_GREATER_THAN = 3;`

See Also:
  Constant Field Values

#### OP_GREATER_THAN_OR_EQUAL_VALUE

    public static final int OP_GREATER_THAN_OR_EQUAL_VALUE

`OP_GREATER_THAN_OR_EQUAL = 4;`

See Also:
  Constant Field Values

#### OP_LESS_THAN_VALUE

    public static final int OP_LESS_THAN_VALUE

`OP_LESS_THAN = 5;`

See Also:
  Constant Field Values

#### OP_LESS_THAN_OR_EQUAL_VALUE

    public static final int OP_LESS_THAN_OR_EQUAL_VALUE

`OP_LESS_THAN_OR_EQUAL = 6;`

See Also:
  Constant Field Values

#### OP_LIKE_VALUE

    public static final int OP_LIKE_VALUE

`OP_LIKE = 7;`

See Also:
  Constant Field Values

#### OP_NOT_LIKE_VALUE

    public static final int OP_NOT_LIKE_VALUE

`OP_NOT_LIKE = 8;`

See Also:
  Constant Field Values

#### OP_FALSE_VALUE

    public static final int OP_FALSE_VALUE

`OP_FALSE = 9;`

See Also:
  Constant Field Values

#### OP_TRUE_VALUE

    public static final int OP_TRUE_VALUE

`OP_TRUE = 10;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static PlanProtocol.FilterClause.FilterOp[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlanProtocol.FilterClause.FilterOp c : PlanProtocol.FilterClause.FilterOp.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlanProtocol.FilterClause.FilterOp valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static PlanProtocol.FilterClause.FilterOp valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static PlanProtocol.FilterClause.FilterOp forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.FilterClause.FilterOp> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static PlanProtocol.FilterClause.FilterOp valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null